program elm2;
uses mtx09;
var
  a: mtx;
begin
  zer(a,2,3); // a = zeros(2,3)
  elm(dia(a),1.0);
  mwr(a);
  eye(a,2,3); // a = eye(2,3)
  mwr(a);
  elm(col(a,col(a)),-1.0); // a(:,$)=-1
  mwr(a)
end.
